org.jbpm.services.task.impl.model.xml

## Class JaxbI18NText

- java.lang.Object
- - org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject<org.kie.api.task.model.I18NText>
  - - org.jbpm.services.task.impl.model.xml.JaxbI18NText

- All Implemented Interfaces:
    Externalizable, Serializable, org.kie.api.task.model.I18NText

      public class JaxbI18NText
      extends AbstractJaxbTaskObject<org.kie.api.task.model.I18NText>
      implements org.kie.api.task.model.I18NText

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject

      `realClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxbI18NText()`
    `JaxbI18NText(org.kie.api.task.model.I18NText text)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<org.kie.api.task.model.I18NText>` | `convertListFromJaxbImplToInterface(List<JaxbI18NText> jaxbList)`
    `Long` | `getId()`
    `String` | `getLanguage()`
    `String` | `getText()`
    `void` | `setId(Long id)`
    `void` | `setLanguage(String lang)`
    `void` | `setText(String text)`

    - ### Methods inherited from class org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject

      `convertListFromInterfaceToJaxbImpl, initialize, readExternal, writeExternal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

- - ### Constructor Detail

    - #### JaxbI18NText

          public JaxbI18NText()

    - #### JaxbI18NText

          public JaxbI18NText(org.kie.api.task.model.I18NText text)

  - ### Method Detail

    - #### getId

          public Long getId()

      Specified by:
        `getId` in interface `org.kie.api.task.model.I18NText`

    - #### setId

          public void setId(Long id)

    - #### getText

          public String getText()

      Specified by:
        `getText` in interface `org.kie.api.task.model.I18NText`

    - #### setText

          public void setText(String text)

    - #### getLanguage

          public String getLanguage()

      Specified by:
        `getLanguage` in interface `org.kie.api.task.model.I18NText`

    - #### setLanguage

          public void setLanguage(String lang)

    - #### convertListFromJaxbImplToInterface

          public static List<org.kie.api.task.model.I18NText> convertListFromJaxbImplToInterface(List<JaxbI18NText> jaxbList)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.